import 'package:flutter/material.dart';
import 'package:vbvs_app/common/util/FitTool.dart';

class SleepdateWidget extends StatelessWidget {
  final DateTime date;

  const SleepdateWidget({super.key, required this.date});

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 90.rpx,
      height: 90.rpx,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(30.rpx),
      ),
      child: Padding(
        padding: EdgeInsetsDirectional.fromSTEB(10.rpx, 10.rpx, 10.rpx, 10.rpx),
        child: Container(
          decoration: BoxDecoration(
            color: Color(0xFFDC1C1C), // 默认红色
            shape: BoxShape.circle,
          ),
          child: Align(
            alignment: AlignmentDirectional(0, 0),
            child: Text(
              '${date.day}',
              style: TextStyle(
                color: Colors.white,
                fontSize: 26.rpx,
                letterSpacing: 0.0,
              ),
            ),
          ),
        ),
      ),
    );
  }
}
